MarketplaceAdministratorClient¶
- class oci.marketplace_publisher.MarketplaceAdministratorClient(config, **kwargs)¶
Use the Marketplace Publisher API to manage the publishing of applications in Oracle Cloud Infrastructure Marketplace.
Methods:
__init__(config, **kwargs)Creates a new service client
Change the Listing Revision status to New
create_market(create_market_details, **kwargs)Creates a new Market.
get_admin_artifact(artifact_id, **kwargs)Gets the specified artifact's information.
get_admin_listing(listing_id, **kwargs)Returns details of the Listing.
Returns details of the Listing revision.
Get the details of the specified listing revision attachment.
Get the details of the specified version of a package.
get_admin_term(term_id, **kwargs)Gets a Term by identifier
get_admin_term_version(term_version_id, **kwargs)Gets a Term Version by the identifier
list_admin_artifacts(**kwargs)Lists the artifacts in your compartment.
Gets the list of attachments for a listing revision
Gets the list of packages for a listing revision.
list_admin_listing_revisions(**kwargs)Returns a list of all the Listing revisions.
list_admin_publisher_skus(**kwargs)Retrieve a list of publisher SKUs
list_admin_term_versions(term_id, **kwargs)Returns a list of the publisher term versions.
list_admin_terms(**kwargs)Returns a list of the publisher terms.
list_admin_work_requests(compartment_id, ...)Lists the work requests in a compartment.
- __init__(config, **kwargs)¶
Creates a new service client
- Parameters
config (dict) – Configuration keys and values as per SDK and Tool Configuration. The
from_file()method can be used to load configuration from a file. Alternatively, adictcan be passed. You can validate_config the dict usingvalidate_config()service_endpoint (str) – (optional) The endpoint of the service to call using this client. For example
https://iaas.us-ashburn-1.oraclecloud.com. If this keyword argument is not provided then it will be derived using the region in the config parameter. You should only provide this keyword argument if you have an explicit need to specify a service endpoint.timeout (float or tuple(float, float)) – (optional) The connection and read timeouts for the client. The default values are connection timeout 10 seconds and read timeout 60 seconds. This keyword argument can be provided as a single float, in which case the value provided is used for both the read and connection timeouts, or as a tuple of two floats. If a tuple is provided then the first value is used as the connection timeout and the second value as the read timeout.
signer (
AbstractBaseSigner) –(optional) The signer to use when signing requests made by the service client. The default is to use a
Signerbased on the values provided in the config parameter.One use case for this parameter is for Instance Principals authentication by passing an instance of
InstancePrincipalsSecurityTokenSigneras the value for this keyword argumentretry_strategy (obj) –
(optional) A retry strategy to apply to all calls made by this service client (i.e. at the client level). There is no retry strategy applied by default. Retry strategies can also be applied at the operation level by passing a
retry_strategykeyword argument as part of calling the operation. Any value provided at the operation level will override whatever is specified at the client level.This should be one of the strategies available in the
retrymodule. A convenienceDEFAULT_RETRY_STRATEGYis also available. The specifics of the default retry strategy are described here.circuit_breaker_strategy (obj) – (optional) A circuit breaker strategy to apply to all calls made by this service client (i.e. at the client level). This client uses
DEFAULT_CIRCUIT_BREAKER_STRATEGYas default if no circuit breaker strategy is provided. The specifics of circuit breaker strategy are described here.circuit_breaker_callback (function) – (optional) Callback function to receive any exceptions triggerred by the circuit breaker.
client_level_realm_specific_endpoint_template_enabled (bool) – (optional) A boolean flag to indicate whether or not this client should be created with realm specific endpoint template enabled or disable. By default, this will be set as None.
allow_control_chars – (optional) allow_control_chars is a boolean to indicate whether or not this client should allow control characters in the response object. By default, the client will not allow control characters to be in the response object.
enable_strict_url_encoding – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this client should enable strict url encoding in path params of a request. By default, the client will not enable strict url encoding
- change_listing_revision_status_to_new(listing_revision_id, **kwargs)¶
Change the Listing Revision status to New
- Parameters
listing_revision_id (str) – (required) listing revision
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeAdminListingRevision- Return type
- Example
Click here to see an example of how to use change_listing_revision_status_to_new API.
- create_market(create_market_details, **kwargs)¶
Creates a new Market.
- Parameters
create_market_details (oci.marketplace_publisher.models.CreateMarketDetails) – (required) Details for the new Market.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use create_market API.
- get_admin_artifact(artifact_id, **kwargs)¶
Gets the specified artifact’s information.
- Parameters
artifact_id (str) – (required) artifact OCID
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeAdminArtifact- Return type
- Example
Click here to see an example of how to use get_admin_artifact API.
- get_admin_listing(listing_id, **kwargs)¶
Returns details of the Listing.
- Parameters
listing_id (str) – (required) listing OCID
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeAdminListing- Return type
- Example
Click here to see an example of how to use get_admin_listing API.
- get_admin_listing_revision(listing_revision_id, **kwargs)¶
Returns details of the Listing revision.
- Parameters
listing_revision_id (str) – (required) listing revision
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeAdminListingRevision- Return type
- Example
Click here to see an example of how to use get_admin_listing_revision API.
- get_admin_listing_revision_attachment(listing_revision_attachment_id, **kwargs)¶
Get the details of the specified listing revision attachment.
- Parameters
listing_revision_attachment_id (str) – (required) attachment OCID
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeAdminListingRevisionAttachment- Return type
- Example
Click here to see an example of how to use get_admin_listing_revision_attachment API.
- get_admin_listing_revision_package(listing_revision_package_id, **kwargs)¶
Get the details of the specified version of a package.
- Parameters
listing_revision_package_id (str) – (required) Unique listing revision package identifier.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeAdminListingRevisionPackage- Return type
- Example
Click here to see an example of how to use get_admin_listing_revision_package API.
- get_admin_term(term_id, **kwargs)¶
Gets a Term by identifier
- Parameters
term_id (str) – (required) term OCID
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
- Return type
- Example
Click here to see an example of how to use get_admin_term API.
- get_admin_term_version(term_version_id, **kwargs)¶
Gets a Term Version by the identifier
- Parameters
term_version_id (str) – (required) term version OCID
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeAdminTermVersion- Return type
- Example
Click here to see an example of how to use get_admin_term_version API.
- list_admin_artifacts(**kwargs)¶
Lists the artifacts in your compartment. You must specify your compartment’s OCID as the value for the compartment ID. For information about OCIDs, see Resource Identifiers (Content/General/Concepts/identifiers.htm).
- Parameters
compartment_id (str) – (optional) The unique identifier for the compartment.
publisher_id (str) – (optional) Unique publisher identifier.
artifact_type (str) –
(optional) A filter to return only artifacts with specific type.
Allowed values are: “CONTAINER_IMAGE”, “HELM_CHART”, “MACHINE_IMAGE”, “STACK”
lifecycle_state (str) –
(optional) A filter to return only artifacts with their lifecycleState matches the given lifecycleState.
Allowed values are: “CREATING”, “UPDATING”, “ACTIVE”, “DELETING”, “DELETED”, “FAILED”
display_name (str) – (optional) A filter to return only resources that match the entire display name given.
status (str) –
(optional) A filter to return only artifacts with specific status.
Allowed values are: “IN_PROGRESS”, “AVAILABLE”, “UNAVAILABLE”
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) A token representing the position at which to start retrieving results. This must come from the opc-next-page header field of a previous response.
sort_order (str) –
(optional) The sort order to use, either ‘ASC’ or ‘DESC’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field to sort admin artifacts by. The default order for timeCreated and timeUpdated is descending. The default order for displayName is ascending.
Allowed values are: “timeCreated”, “timeUpdated”, “displayName”
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeAdminArtifactCollection- Return type
- Example
Click here to see an example of how to use list_admin_artifacts API.
- list_admin_listing_revision_attachments(listing_revision_id, **kwargs)¶
Gets the list of attachments for a listing revision
- Parameters
listing_revision_id (str) – (required) OCID of the listing revision.
display_name (str) – (optional) A filter to return only resources that match the entire display name given.
lifecycle_state (str) –
(optional) A filter to return only attachments their lifecycleState matches the given lifecycleState.
Allowed values are: “ACTIVE”, “INACTIVE”, “DELETED”
compartment_id (str) – (optional) The unique identifier for the compartment.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) A token representing the position at which to start retrieving results. This must come from the opc-next-page header field of a previous response.
sort_order (str) –
(optional) The sort order to use, either ‘ASC’ or ‘DESC’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending.
Allowed values are: “timeCreated”, “displayName”
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeAdminListingRevisionAttachmentCollection- Return type
- Example
Click here to see an example of how to use list_admin_listing_revision_attachments API.
- list_admin_listing_revision_packages(listing_revision_id, **kwargs)¶
Gets the list of packages for a listing revision.
- Parameters
listing_revision_id (str) – (required) OCID of the listing revision.
compartment_id (str) – (optional) The unique identifier for the compartment.
display_name (str) – (optional) A filter to return only resources that match the entire display name given.
lifecycle_state (str) –
(optional) A filter to return only packages their lifecycleState matches the given lifecycleState.
Allowed values are: “CREATING”, “UPDATING”, “ACTIVE”, “INACTIVE”, “DELETING”, “DELETED”, “FAILED”
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) A token representing the position at which to start retrieving results. This must come from the opc-next-page header field of a previous response.
sort_order (str) –
(optional) The sort order to use, either ‘ASC’ or ‘DESC’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending.
Allowed values are: “timeCreated”, “displayName”
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeAdminListingRevisionPackageCollection- Return type
- Example
Click here to see an example of how to use list_admin_listing_revision_packages API.
- list_admin_listing_revisions(**kwargs)¶
Returns a list of all the Listing revisions.
- Parameters
listing_id (str) – (optional) listing OCID
compartment_id (str) – (optional) The unique identifier for the compartment.
listing_type (str) –
(optional) A filter to return listings based on their type
Allowed values are: “OCI_APPLICATION”, “LEAD_GENERATION”, “SERVICE”
display_name (str) – (optional) A filter to return only resources that match the entire display name given.
publisher_id (str) – (optional) Unique publisher identifier.
lifecycle_state (str) –
(optional) A filter to return only listing revisions their lifecycleState matches the given lifecycleState.
Allowed values are: “CREATING”, “UPDATING”, “ACTIVE”, “DELETING”, “DELETED”, “FAILED”
listing_revision_status (str) –
(optional) A filter to return only listing revisions their status matches the given listing revision status.
Allowed values are: “NEW”, “PENDING_REVIEW”, “REVIEW_IN_PROGRESS”, “REJECTED”, “APPROVED”, “PUBLISH_IN_PROGRESS”, “PUBLISH_FAILED”, “PUBLISHED”, “PUBLISH_AS_PRIVATE_FAILED”, “PUBLISHED_AS_PRIVATE”, “PUBLISH_AS_PRIVATE_IN_PROGRESS”, “UNPUBLISH_IN_PROGRESS”, “UNPUBLISHED”
status_csv (str) – (optional) Comma-separated listing revision status values used to filter OpenSearch admin listing revision results.
product (str) – (optional) Product value used to filter OpenSearch admin listing revision results.
time_created_after (datetime) – (optional) Filters data created after the specified date.
time_updated_after (datetime) – (optional) Filters data updated after the specified date.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) A token representing the position at which to start retrieving results. This must come from the opc-next-page header field of a previous response.
sort_order (str) –
(optional) The sort order to use, either ‘ASC’ or ‘DESC’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for timeUpdated is descending. Default order for displayName is ascending.
Allowed values are: “timeCreated”, “timeUpdated”, “displayName”
pricing_type (str) – (optional) Optional pricing type filter for listing admin listing revisions. This filter is only applied when dataSource is opensearch.
is_private_offer_enabled (bool) – (optional) Optional private offer enabled filter for listing admin listing revisions. This filter is only applied when dataSource is opensearch.
data_source (str) – (optional) Optional source for listing admin listing revisions. Use opensearch to read from OpenSearch.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeAdminListingRevisionCollection- Return type
- Example
Click here to see an example of how to use list_admin_listing_revisions API.
- list_admin_publisher_skus(**kwargs)¶
Retrieve a list of publisher SKUs
- Parameters
opc_request_id (str) – (optional) The client request ID for tracing.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) A token representing the position at which to start retrieving results. This must come from the opc-next-page header field of a previous response.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeAdminPublisherSkuCollection- Return type
- Example
Click here to see an example of how to use list_admin_publisher_skus API.
- list_admin_term_versions(term_id, **kwargs)¶
Returns a list of the publisher term versions.
- Parameters
term_id (str) – (required) term OCID
compartment_id (str) – (optional) The unique identifier for the compartment.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) A token representing the position at which to start retrieving results. This must come from the opc-next-page header field of a previous response.
sort_order (str) –
(optional) The sort order to use, either ‘ASC’ or ‘DESC’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending.
Allowed values are: “timeCreated”, “displayName”
opc_request_id (str) – (optional) The client request ID for tracing.
display_name (str) – (optional) A filter to return only resources that match the entire display name given.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeAdminTermVersionCollection- Return type
- Example
Click here to see an example of how to use list_admin_term_versions API.
- list_admin_terms(**kwargs)¶
Returns a list of the publisher terms.
- Parameters
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) A token representing the position at which to start retrieving results. This must come from the opc-next-page header field of a previous response.
compartment_id (str) – (optional) The unique identifier for the compartment.
sort_order (str) –
(optional) The sort order to use, either ‘ASC’ or ‘DESC’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending.
Allowed values are: “timeCreated”, “displayName”
opc_request_id (str) – (optional) The client request ID for tracing.
name (str) – (optional) A filter to return only resources that match the entire name given.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeAdminTermCollection- Return type
- Example
Click here to see an example of how to use list_admin_terms API.
- list_admin_work_requests(compartment_id, **kwargs)¶
Lists the work requests in a compartment.
- Parameters
compartment_id (str) – (required) The ID of the compartment in which to list resources.
work_request_id (str) – (optional) The ID of the asynchronous work request.
status (str) –
(optional) A filter to return only resources their lifecycleState matches the given OperationStatus.
Allowed values are: “ACCEPTED”, “IN_PROGRESS”, “WAITING”, “NEEDS_ATTENTION”, “FAILED”, “SUCCEEDED”, “CANCELING”, “CANCELED”
resource_id (str) – (optional) The ID of the resource affected by the work request.
opc_request_id (str) – (optional) The client request ID for tracing.
page (str) – (optional) A token representing the position at which to start retrieving results. This must come from the opc-next-page header field of a previous response.
limit (int) – (optional) The maximum number of items to return.
sort_order (str) –
(optional) The sort order to use, either ‘ASC’ or ‘DESC’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeAccepted is descending.
Allowed values are: “timeAccepted”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeAdminWorkRequestSummaryCollection- Return type
- Example
Click here to see an example of how to use list_admin_work_requests API.